Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class UserSViewBegin

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.UserSViewBegin

    public final class UserSViewBegin

extends StandardRecord

The UserSViewBegin record specifies settings for a custom view associated with the sheet. This record also marks the start of custom view records, which save custom view settings. Records between `UserSViewBegin` and `UserSViewEnd` contain settings for the custom view, not settings for the sheet itself.

Author:
  Yegor Kozlov

Field Summary
`static short` | `sid`

Constructor Summary
`UserSViewBegin(byte[] data)`
`UserSViewBegin(RecordInputStream in)` construct an UserSViewBegin record.

Method Summary
`java.lang.Object` | `clone()`
`byte[]` | `getGuid()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` spit the record out AS IS.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### UserSViewBegin

    public UserSViewBegin(byte[] data)

### UserSViewBegin

    public UserSViewBegin(RecordInputStream in)

  construct an UserSViewBegin record. No fields are interpreted and the record will be serialized in its original form more or less

  Parameters:
    `in` - the RecordInputstream to read the record from

Method Detail

### serialize

    public void serialize(LittleEndianOutput out)

  spit the record out AS IS. no interpretation or identification

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getGuid

    public byte[] getGuid()

  Returns:
    Globally unique identifier for the custom view

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD